> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metronome.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Triggered Notification and Delivery Attempts

> List all delivery attempts for a triggered notification to a specific webhook destination. Use this endpoint to debug webhook delivery issues programmatically by viewing the payload and number of retries for a specific triggered notification.

### Key response fields:

- Notification payload for the specific triggered notification
- Array of all attempts to the webhook destination for the triggered notification, including attempt timestamp and status code

### Usage guidelines:

- Triggered notification ID is distinct from notification ID. Notification ID represents the notification configuration (“notify me when any customer reaches \$5 in credit balance”). Triggered notification ID is the specific instance when that notification was triggered (”Customer A’s credit balance reached \$5 on October 5th at 11:45 PM”).
- Use this endpoint in conjunction with [List Triggered Notifications](/api-reference/webhooks/list-triggered-notifications-by-webhook) to identify the specific triggered notification ID to pass in..




## OpenAPI

````yaml /openapi.json get /v1/webhooks/{webhook_id}/triggered_notifications/{triggered_notification_id}
openapi: 3.0.1
info:
  title: Metronome
  version: 1.0.0
servers:
  - url: https://api.metronome.com
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Webhooks
    description: >-
      Inspect webhook delivery history, notification payloads, and retry
      attempts for the last 30 days. See the [Webhooks
      guide](/guides/platform-configuration/setup-webhooks) for notification
      types and delivery behavior.
  - name: Customers
    description: >-
      [Customers](https://docs.metronome.com/provisioning/create-customers/) in
      Metronome represent your users for all billing and reporting. Use these
      endpoints to create, retrieve, update, and archive customers and their
      billing configuration.
  - name: Billable metrics
    description: >-
      [Billable
      metrics](https://docs.metronome.com/understanding-metronome/how-metronome-works#billable-metrics)
      in Metronome represent the various consumption components that Metronome
      meters and aggregates.
  - name: Usage
    description: >-
      [Usage
      events](https://docs.metronome.com/connecting-metronome/send-usage-data/)
      are the basis for billable metrics. Use these endpoints to send usage
      events to Metronome and retrieve aggregated event data.
  - name: Products
    description: Products are the items that customers purchase.
  - name: Rate cards
    description: Rate cards are used to define default pricing for products.
  - name: Contracts
    description: >-
      A contract defines a customer’s products, pricing, discounts, commitments,
      and more. Use these endpoints to create and update contracts data.
  - name: Credits and commits
    description: Credits and commits are used to manage customer balances.
  - name: Invoices
    description: >-
      [Invoices](https://docs.metronome.com/invoicing/) reflect how much a
      customer spent during a period, which is the basis for billing. Metronome
      automatically generates invoices based upon your pricing, packaging, and
      usage events. Use these endpoints to retrieve invoices.
  - name: Alerts
    description: >-
      [Alerts](https://docs.metronome.com/connecting-metronome/alerts/) monitor
      customer spending, balances, and other billing factors. Use these
      endpoints to create, retrieve, and archive customer alerts. To view sample
      alert payloads by alert type, navigate
      [here.](https://docs.metronome.com/manage-product-access/create-manage-alerts/#webhook-notifications)
  - name: Custom fields
    description: >-
      [Custom fields](https://docs.metronome.com/integrations/custom-fields/)
      enable adding additional data to Metronome entities. Use these endpoints
      to create, retrieve, update, and delete custom fields.
  - name: Security
    description: >-
      [Security](https://docs.metronome.com/developer-resources/security/)
      endpoints allow you to retrieve security-related data.
  - name: Settings
    description: >-
      Use these endpoints to configure a billing API key, a webhook secret, or
      invoice finalization behavior.
  - name: Named schedules
    description: >-
      Named schedules are used for storing custom data that can change over
      time. Named schedules are often used in custom pricing logic.
paths:
  /v1/webhooks/{webhook_id}/triggered_notifications/{triggered_notification_id}:
    get:
      tags:
        - Webhooks
      summary: Get Triggered Notification and Delivery Attempts
      description: >
        List all delivery attempts for a triggered notification to a specific
        webhook destination. Use this endpoint to debug webhook delivery issues
        programmatically by viewing the payload and number of retries for a
        specific triggered notification.


        ### Key response fields:


        - Notification payload for the specific triggered notification

        - Array of all attempts to the webhook destination for the triggered
        notification, including attempt timestamp and status code


        ### Usage guidelines:


        - Triggered notification ID is distinct from notification ID.
        Notification ID represents the notification configuration (“notify me
        when any customer reaches \$5 in credit balance”). Triggered
        notification ID is the specific instance when that notification was
        triggered (”Customer A’s credit balance reached \$5 on October 5th at
        11:45 PM”).

        - Use this endpoint in conjunction with [List Triggered
        Notifications](/api-reference/webhooks/list-triggered-notifications-by-webhook)
        to identify the specific triggered notification ID to pass in..
      operationId: getWebhookDelivery-v1
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: >-
            ID of the webhook destination. Only notifications from the same
            Metronome environment as your API token are returned.
          schema:
            type: string
            format: uuid
          example: eb3a41d4-ca42-4cc1-b184-d208ab56ed65
        - name: triggered_notification_id
          in: path
          required: true
          description: ID of the triggered notification.
          schema:
            type: string
            format: uuid
          example: 4f98dc25-6be7-4b0c-b25b-946c19511c5d
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWebhookDeliveryResponse'
              example:
                data:
                  id: 4f98dc25-6be7-4b0c-b25b-946c19511c5d
                  webhook_id: eb3a41d4-ca42-4cc1-b184-d208ab56ed65
                  customer_id: 2055b7c2-e677-4446-81c7-e17136765f2c
                  notification_id: null
                  notification_type: invoice.finalized
                  notification_payload: >-
                    {"id":"4f98dc25-6be7-4b0c-b25b-946c19511c5d","properties":{"invoice_id":"de99894e-f9ce-4b6c-92b0-f4ec0d09b6f1","customer_id":"2055b7c2-e677-4446-81c7-e17136765f2c","invoice_finalized_date":"2026-10-13T23:58:00Z"},"type":"invoice.finalized"}
                  attempts:
                    - attempted_at: '2026-10-13T23:59:00Z'
                      response_status_code: 500
                    - attempted_at: '2026-10-14T00:04:00Z'
                      response_status_code: 200
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Invalid triggered notification ID
        '404':
          description: The specified resource was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Webhook delivery not found
components:
  schemas:
    GetWebhookDeliveryResponse:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/WebhookDeliveryDetail'
    Error:
      required:
        - message
      type: object
      properties:
        message:
          type: string
    WebhookDeliveryDetail:
      type: object
      description: >-
        A triggered notification's payload and delivery attempts for a webhook
        destination.
      required:
        - id
        - webhook_id
        - customer_id
        - notification_id
        - notification_type
        - notification_payload
        - attempts
      properties:
        id:
          type: string
          format: uuid
          description: >-
            ID of the triggered notification, matching triggered_notification_id
            in the request path. Shared across retries.
        webhook_id:
          type: string
          format: uuid
          description: ID of the webhook destination.
        customer_id:
          type: string
          format: uuid
          nullable: true
          description: ID of the associated customer, or null if not applicable.
        notification_id:
          type: string
          nullable: true
          description: >-
            ID of the notification configuration, or null if not applicable.
            Separate from the triggered notification's id.
        notification_type:
          type: string
          description: >-
            Notification type, such as invoice.finalized or
            alerts.spend_threshold_reached.
          example: invoice.finalized
        notification_payload:
          type: string
          description: >-
            The exact webhook request body as a JSON-encoded string. Parse as
            JSON to access the notification fields.
        attempts:
          type: array
          description: >-
            Recorded delivery attempts, including retries, ordered from oldest
            to newest.
          items:
            $ref: '#/components/schemas/WebhookDeliveryAttempt'
    WebhookDeliveryAttempt:
      type: object
      description: One recorded attempt to send a notification to a webhook destination.
      required:
        - attempted_at
        - response_status_code
      properties:
        attempted_at:
          type: string
          format: date-time
          description: Timestamp of this delivery attempt.
        response_status_code:
          type: number
          multipleOf: 1
          description: >-
            Response status code for this attempt. Codes from 200 to 299
            indicate acknowledgment by the destination.
          example: 200
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````